commit:     fb8f20ad48b08e666e62fb4c7f5835d568f2f23c
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Fri May 17 20:48:56 2019 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Fri May 17 20:49:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb8f20ad

app-crypt/libb2: version bump

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 app-crypt/libb2/Manifest            |  1 +
 app-crypt/libb2/libb2-0.98.1.ebuild | 56 +++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-crypt/libb2/Manifest b/app-crypt/libb2/Manifest
index 44054d6b967..6d30097c471 100644
--- a/app-crypt/libb2/Manifest
+++ b/app-crypt/libb2/Manifest
@@ -1 +1,2 @@
+DIST libb2-0.98.1.tar.gz 280826 BLAKE2B 
aa8c3dee3032f457410479be12d00c79a6ca6a7c0376a5c70265d30ff25b50663171f7096141834d4faa4dd5027f38b23b774e59be63475a3ecba855337fb1aa
 SHA512 
a666fdbd1efa9cfff3028e953c62f21ba092c6733ccd12d4d04f1f836fc9747fc90053bc9166510d251d332b91e133853d2cc9b61c279517bd65b05e8483250b
 DIST libb2-0.98.tar.gz 275076 BLAKE2B 
7c0aa473a58a5ceb6e913487cc6f0078e6cab661bd26cb1f5611473b430213521a23adbde227da6d7561b4d581369e268308ae6b2a10da5399c0d2d6ab288b26
 SHA512 
be400d16ab00b3006ec7412dcbf580427600f4997cee19c0448d849ff8bbbb58bbb7be3d49e4052cb1b6791b6bed9c9cc48b51da3ec77b2fdf3d197ccf0c8073

diff --git a/app-crypt/libb2/libb2-0.98.1.ebuild 
b/app-crypt/libb2/libb2-0.98.1.ebuild
new file mode 100644
index 00000000000..2664bc570e7
--- /dev/null
+++ b/app-crypt/libb2/libb2-0.98.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools ltprune toolchain-funcs
+
+DESCRIPTION="C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp"
+HOMEPAGE="https://github.com/BLAKE2/libb2";
+GITHASH="73d41c8255a991ed2adea41c108b388d9d14b449"
+SRC_URI="https://github.com/BLAKE2/libb2/archive/${GITHASH}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x64-macos ~sparc-solaris ~x64-solaris"
+IUSE="static +native-cflags openmp"
+
+DEPEND="
+       openmp? (
+               || ( >=sys-devel/gcc-4.2:*[openmp] 
sys-devel/clang-runtime:*[openmp] )
+       )
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}-${GITHASH}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != "binary" ]] && use openmp && ! tc-has-openmp; 
then
+               ewarn "You are using a compiler without OpenMP support"
+               die "Need an OpenMP capable compiler"
+       fi
+}
+
+src_prepare() {
+       default
+       # fix bashism
+       sed -i -e 's/ == / = /' configure.ac || die
+       eautoreconf  # upstream doesn't make releases
+}
+
+src_configure() {
+       econf \
+               $(use_enable static) \
+               $(use_enable native-cflags native) \
+               $(use_enable openmp)
+}
+
+src_compile() {
+       # respect our CFLAGS when native-cflags is not in effect
+       emake $(use native-cflags && echo no)CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+       default
+       prune_libtool_files
+}

Reply via email to